### Enumeration

# Shumate VectorValueType

since: 1.6

#### Declaration

    enum Shumate.VectorValueType

#### Description [src]

Type of a `ShumateVectorValue`.

Available since: 1.6

#### Members

`SHUMATE_VECTOR_VALUE_TYPE_NULL`

  Null value.

  - Value: `0`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_NUMBER`

  Number value.

  - Value: `1`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_BOOLEAN`

  Boolean value.

  - Value: `2`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_STRING`

  String value.

  - Value: `3`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_COLOR`

  Color value.

  - Value: `4`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_ARRAY`

  Array value.

  - Value: `5`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_RESOLVED_IMAGE`

  Resolved image value.

  - Value: `6`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_FORMATTED_STRING`

  Formatted string value.

  - Value: `7`
  - Available since: 1.6
`SHUMATE_VECTOR_VALUE_TYPE_COLLATOR`

  Collator value.

  - Value: `8`
  - Available since: 1.6